=== net/Makefile ===
# Makefile for eucalyptus/net
#
#

include ../Makedefs

all: vnetwork.o

build: all

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

clean:
	rm -rf *~ *.o 

distclean:

install:

deploy:

uninstall:
