=== debian/changelog ===
eucalyptus (2.0.1+bzr1256-0ubuntu8) oneiric; urgency=low

  * Fix compatibility issues with SSLv3 (LP: #851611):
    - d/patches/29-euca_conf-sslv3.patch: Use --secure-protocol=SSLv3
      with wget when communicating with CLC.
    - d/eucalyptus-cloud.upstart: Use --secure-protocol=SSLv3 with wget
      when checking for CLC startup complete.
  * d/patches/30-clock_drift.patch: Resolve issue with rampart blocking 
    communication between CC and NC when time is fractionally in the
    future (LP: #854946):

 -- James Page <james.page@ubuntu.com>  Wed, 21 Sep 2011 09:57:58 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu7) oneiric; urgency=low

  * d/patches/28-fix-startup-crash.patch: Fix from Graziano Obertelli
    for startup crash. (LP: #791607)

 -- Clint Byrum <clint@ubuntu.com>  Thu, 15 Sep 2011 13:35:03 -0700

eucalyptus (2.0.1+bzr1256-0ubuntu6) oneiric; urgency=low

  [ Dave Walker ]
  * SECURITY UPDATE: SOAP signature replay vulnerability.
    - add debian/patches/27-soap-security.patch, thanks to upstream.
    - CVE-2011-0730
    - LP: #746101

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 26 May 2011 10:21:56 -0500

eucalyptus (2.0.1+bzr1256-0ubuntu5) oneiric; urgency=low

  * Fix FTBFS against libgoogle-collections-java 1.0 (LP: #784491). 
    - debian/patches/26-google-collections-1.0-ftbfs.patch: refactoring
      to use 1.0 API.
  * Fix libjibx-java to version 1.1 to allow entry of libjibx1.2-java 
    into universe without breaking eucalyptus:
    - debian/eucalyptus-java-common.links: use jibx-*-1.1.jar.
    - debian/build-jars: use jibx-*-1.1.jar.
    - debian/control: use libjibx1.1-java instead of libjibx-java.

 -- James Page <james.page@canonical.com>  Wed, 18 May 2011 10:46:58 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu4) natty; urgency=low

  * debian/eucalyptus-network.upstart:  Added env IFACE=manual-start, 
    resolving install and upgrade issue.  (LP: #754699)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 08 Apr 2011 15:57:16 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu3) natty; urgency=low

  * Separate admin tools from eucalyptus-common package(LP: #732082)
    - debian/control:
      + Add eucalyptus-admin-tools binary package.
      + Add missing Depends on python-psutil. (LP: #731672)
      + eucalyptus-cloud: Depends on eucalyptus-admin-tools.
    - debian/eucalyptus-admin-tools.install: Added.
    - debian/eucalyptus-common.install: Drop installation of admin tools.
  * Switch to dh_python2 instead of python-central.
    - debian/control. Bump Depends on cdbs to (>= 0.4.90~); bump depends on
      python to (>= 2.6.6-3).
  * Add powernap configs to leverage recent PowerNap changes (LP: #726769):
    - debian/powernap/eucalyptus.conf: Add config.
    - debian/eucalyptus-nc.install: Install config.
    - debian/eucalyptus-nc.links: Symlink to /etc/powernap/config.d/.
  * debian/control: Change Recommends order of bittorrent to bittornado
    first. Allows demontion of bittorrent. (LP: #697753)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 17 Mar 2011 15:23:36 -0400

eucalyptus (2.0.1+bzr1256-0ubuntu2) natty; urgency=low

  [ Andres Rodriguez ]
  * debian/control: Add missing Dep on python-boto for eucalyptus-common.
  * Fix packaging to correctly install missing python modules. (LP: #615442)
    - debian/control: Add Depends on python-central, python; Add related 
      python control rules.
    - debian/rules: Add dh_pycentral rule for eucalyptus-common
    - debian/eucalyptus-comman.install: Install euca_admin into correct dir.

  [ Dave Walker (Daviey) ]
  * debian/changelog: Fixed history from last upload which dropped 
    2.0.1+bzr1255-0ubuntu1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 04 Mar 2011 17:25:04 -0500

eucalyptus (2.0.1+bzr1256-0ubuntu1) natty; urgency=low

  * New upstream snapshot of minor point release, 2.0.1 (r1256).
    - Fixes node controller memory leak. (LP: #523211)
    - Rearrange of linker options for libEucalyptusNC.so. (LP: #724470)
  * debian/patches/*: Refreshed patches

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 01 Mar 2011 12:17:35 +0000

eucalyptus (2.0.1+bzr1255-0ubuntu1) natty; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot of minor point release, 2.0.1 (r1255).
    - Fixes FTBFS, (LP: #687970)
    - Stop unauthenticated users being able to reset user password. (LP: #675372).
  * Switch from dhcp3-server to isc-dhcp-server as the new default. (LP: #711590)
    - debian/:
      + control: eucalyptus-cc, drop Recommends on dhcp3-server and add
        isc-dhcp-server as the new default.
      + eucalyptus.conf: Use different dhcpd binary name.
      + patches/{18-priv_security.patch|08-ubuntu-default-networking.patch},
        updated rootwrap to use different dhpcd binary.
  * Refreshed 06-UEC-webinterface.patch, dropping hunks now applied upstream.
  * Updated standards version to 3.9.1, no changes required.
  * debian/control: Updated VCS location.
  * debian/source/include-binaries: Included newer favicon, overiding shipped.
  * debian/{local/registration}/Makefile: Introduced a stanza for, for
    re-arranging of Linker flags, resolving FTBFS. Added -Wall.
  * debian/*: The binary resulting jars have been updated from *-2.0.0 to
    *-2.0.1.  References updated as appropriate.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 15 Feb 2011 10:16:03 +0000
